Issue 92677 - ODFF: implement IFERROR and IFNA
Summary: ODFF: implement IFERROR and IFNA
Status: CONFIRMED
Alias: None
Product: Calc
Classification: Application
Component: programming (show other issues)
Version: DEV300m29
Hardware: All All
: P3 Trivial with 17 votes (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
: 109253 (view as issue list)
Depends on:
Blocks: 105140
  Show dependency tree
 
Reported: 2008-08-11 22:00 UTC by kyoshida
Modified: 2016-06-03 08:59 UTC (History)
14 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description kyoshida 2008-08-11 22:00:31 UTC
IFERROR is (AFAIK) a new built-in function introduced in Excel 2007.  As such, a
file saved by Excel 2007 that contains use of this function creates an interop
issue, even if the file is saves as the legacy binary format (.xls).
Comment 1 kyoshida 2008-08-11 22:26:43 UTC
I'm working on this as we speak.
Comment 2 ooo 2008-08-12 12:14:49 UTC
Nice. IFERROR() is also drafted in ODFF, adding to subject. Note that IFNA() is
closely related.
Comment 3 discoleo 2008-08-12 19:01:27 UTC
I have seen some discussions on the MS forums to improve the IFERROR() function
to catch only a specified type of error. I can imagine that this is useful, as
some errors (like #REF!) are undesirable to catch.

I can imagine to expand the function with a 3rd argument specifying which
error/errors should be caught:

=IFERROR( _expression_ , _alt_expression_ , *ERROR_TYPE* )
Comment 4 kyoshida 2008-10-31 19:20:28 UTC
Sorry folks.  Things have changed, and I am not planning on working on
implementing IFERROR any more.

I'll be happy to keep this assigned to me for now, but if someone else wants to
implement this piece, please raise your hand here.
Comment 5 eric.bachard 2009-10-15 20:58:37 UTC
+me
Comment 6 lvyue 2010-02-03 01:38:22 UTC
cc
Comment 7 ooo 2010-02-15 12:45:18 UTC
*** Issue 109253 has been marked as a duplicate of this issue. ***
Comment 8 vulcain 2013-01-28 10:05:08 UTC
Resolved in LibreOffice 4.0:
https://bugs.freedesktop.org/show_bug.cgi?id=56124
Comment 9 Guy 2013-04-13 21:34:28 UTC
I came up with something of a workaround for my funtions :

IFERROR( ... ;0)
ISNA(ERRORTYPE( ... ))

I hope this helps.
Comment 10 webassistant5.tft+openoffice 2013-08-12 14:47:28 UTC
Confirming this is still not in OpenOffice 4.0, was unable to run an =IFERROR.
Comment 11 webassistant5.tft+openoffice 2013-08-12 14:48:12 UTC
(In reply to vulcain from comment #8)
> Resolved in LibreOffice 4.0:
> https://bugs.freedesktop.org/show_bug.cgi?id=56124

Could this same patch be applied to OpenOffice?
Comment 12 Katsu 2015-12-03 21:45:20 UTC
This is still no implemented in the current version of OO. Its a real pain because I use a spreadsheet from an excel user and I have to delete the iferror to get the spreadsheet to work. Sample code =iferror(VLOOKUP($H2;$O$2:$P$121;2;0);"")

With the iferror there, the vlookup doesn't work
Comment 13 oooforum (fr) 2016-06-03 08:59:49 UTC
(In reply to webassistant5.tft+openoffice from comment #11)
> > https://bugs.freedesktop.org/show_bug.cgi?id=56124
> Could this same patch be applied to OpenOffice?
Read issue 105140: licence used by LibreOffice is not compatible with Apache